Bug 858120 - The language "en-UK" is hardcoded in HumanTask handlers
The language "en-UK" is hardcoded in HumanTask handlers
Status: VERIFIED
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: jBPM 5 (Show other bugs)
BRMS 5.3.0.GA
Unspecified Unspecified
unspecified Severity unspecified
: ER2
: BRMS 5.3.1 GA
Assigned To: Maciej Swiderski
Marek Baluch
:
Depends On:
Blocks: 863390
  Show dependency treegraph
 
Reported: 2012-09-17 22:45 EDT by Alessandro Lazarotti
Modified: 2015-06-01 21:39 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
User tasks were previously created with the hardcoded locale (en-UK), which prevent users from changing the locale. This issue has been resolved by ensuring the user can configure the locale. In addition to this, it is now possible to configure the business central server to a specific locale.
Story Points: ---
Clone Of:
: 863390 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBPM-3791 Major Resolved The language "en-UK" is hardcoded in HumanTask handlers 2015-12-04 09:57 EST

  None (edit)
Description Alessandro Lazarotti 2012-09-17 22:45:15 EDT
jBPM5 requires the use of String parameter *language* for most operations to interact with HumanTask features. However the value "en-UK" is hard-coded in the handlers so users can not define another language, unless them override our handlers implementation to define a different value (which is not a good solution).

We should be able to provide the setup for this attribute programatically in handlers or externally by process definition.
Comment 1 Maciej Swiderski 2012-09-27 10:00:05 EDT
Added support for specifying locale (language) paramter for user tasks. It is supported exactlly the same as other parameters of user task - task name, group id, comment.
New parameter is Locale and if not given it defaults to en-UK.

In addition to that console can be configured to use other than default (en-UK which was hard coded as well) locale by specifying it in jbpm.console.properties under jbpm.console.task.service.locale key.

I would suggest to add that in the tooling especially in designer as it should be rather quick task. That would enable users to take adventage of it while modelling. Wdyt?
Comment 2 Alessandro Lazarotti 2012-09-27 10:09:59 EDT
Awesome Maciej, thanks.
My initial idea was precisely that, make it available to be modelled in the process.
Comment 3 Tihomir Surdilovic 2012-09-27 11:35:37 EDT
Locale parameter has been added for user tasks in Designer (2.3.x prod branch). Users can specify this now per user task. 

Let me know if there is anything else.
Comment 4 Maciej Swiderski 2012-09-27 12:33:25 EDT
eclipse plugin has be updated as well to provide locale parameter support (5.3.x and master of droolsjbpm-tools)
Comment 6 Lukáš Petrovický 2012-10-05 02:10:09 EDT
As far as I know, there is no updated build of the JBDS tooling. Thus, ON_QA is an invalid status. Julian?
Comment 7 Jiri Svitak 2012-10-05 06:22:58 EDT
Lukas, Julian,

I think that this bug can be assumed as ON_QA, because Tihomir and Maciej have fixed the described problem in the Designer and HT handler code and it should be ready to be tested in the ER2.

Maciej just said that there should be a fix for the JBDS plugin too. This is true, but I would prefer to create a new Bugzilla for the JBDS plugin (by cloning this Bugzilla), because the assignee, QA engineer and the release process for JBDS plugin is/will be different.

So I am changing the status of this bug back to ON_QA and I'll file a new bug for the JBDS plugin. Please approve the flags of this bug again and also please write a comment if I have missed something.

Thanks,
Jiri
Comment 8 JBoss JIRA Server 2012-10-08 09:38:28 EDT
Maciej Swiderski <swiderski.maciej@gmail.com> updated the status of jira JBPM-3791 to Resolved
Comment 9 JBoss JIRA Server 2012-10-08 09:38:28 EDT
Maciej Swiderski <swiderski.maciej@gmail.com> made a comment on jira JBPM-3791

committed to master as mentioned on BZ comments
Comment 10 jgargula 2012-10-11 08:12:18 EDT
It looks like the bug is fixed but there is another problem. There exist two views which should be identical but they are not. The second one does not contain locale field.

jBPM Task -> Human Task View -> Create (fixed)
Drools Task -> Human Task View -> Create (not fixed - missing locale field)
Comment 11 Maciej Swiderski 2012-10-11 08:49:07 EDT
Could it be that some other (older installation) is still there? I think Human Task view was moved from drools into jBPM perspective. When looking at the code base (droolsjbpm-tools/5.3.x) this view is only defined in org.jbpm.eclipse.task plugin so I can't see any way to fix it in code.
Comment 12 jgargula 2012-10-11 09:03:09 EDT
I just installed very new and clear JBDS 5.0.1.GA and there are still two Human Task views. I'm aware of it that the view in Drools task is some legacy stuff and I guess that it should be removed and the only one Human Task View should be in jBPM task. Am I right?
Comment 13 Maciej Swiderski 2012-10-11 09:14:37 EDT
yes, jBPM Human Task view is the one that should be present
Comment 14 Kris Verlaenen 2012-10-11 13:00:14 EDT
Users should be using the jBPM task view.  The Drools task view is only there for backwards compatibility reasons, but afaik should never have been included in JBDS.  We already removed it in the latest community release, we can cherry-pick that to the product branch as well if wanted.
Comment 15 Jiri Svitak 2012-10-12 07:35:48 EDT
Juraj,
this bug tracks the problem in the Designer and jBPM HT module. You should have assigned to yourself JBDS related bug: https://bugzilla.redhat.com/show_bug.cgi?id=863390

I am already done with the testing of this problem. As I could see the issue has been fixed in the Designer, jBPM console and HT module.

Verified in BRMS 5.3.1 ER3.

Note You need to log in before you can comment on or make changes to this bug.